From 92d98a213631c113fb934e2a2cfc5e9436a21c7a Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Wed, 29 Apr 2015 02:43:31 -0400
Subject: [PATCH] src/interp/vmlisp.lisp change prin0 to prin1 everywhere

Remove a layer of function call renaming; use Lisp primitive
---
 changelog                         |    4 ++++
 patch                             |    4 ++--
 src/axiom-website/patches.html    |    2 ++
 src/interp/c-util.lisp.pamphlet   |   16 ++++++++--------
 src/interp/i-output.lisp.pamphlet |    4 ++--
 src/interp/vmlisp.lisp.pamphlet   |    3 +--
 6 files changed, 19 insertions(+), 14 deletions(-)

diff --git a/changelog b/changelog
index c5197d7..563545d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20150429 tpd src/axiom-website/patches.html 20150429.02.tpd.patch
+20150429 tpd src/interp/c-util.lisp change prin0 to prin1 everywhere
+20150429 tpd src/interp/i-output.lisp change prin0 to prin1 everywhere
+20150429 tpd src/interp/vmlisp.lisp change prin0 to prin1 everywhere
 20150429 tpd src/axiom-website/patches.html 20150429.01.tpd.patch
 20150429 tpd books/bookvol10.3 remove sayString
 20150429 tpd src/interp/br-con.lisp remove sayString
diff --git a/patch b/patch
index 5f65399..7776883 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-src/interp/vmlisp.lisp sayString to PRINTEXP to PRINC
+src/interp/vmlisp.lisp change prin0 to prin1 everywhere
 
-Remove a layer of function call and redirection; use Lisp primitive
+Remove a layer of function call renaming; use Lisp primitive
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d1b3646..14448dc 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5044,6 +5044,8 @@ src/interp/vmlisp.lisp shrink vmlisp.lisp<br/>
 src/interp/vmlisp.lisp reduce the use of spadlet<br/>
 <a href="patches/20150429.01.tpd.patch">20150429.01.tpd.patch</a>
 src/interp/vmlisp.lisp sayString to PRINTEXP to PRINC<br/>
+<a href="patches/20150429.02.tpd.patch">20150429.02.tpd.patch</a>
+src/interp/vmlisp.lisp change prin0 to prin1 everywhere<br/>
  </body>
 </html>
 
diff --git a/src/interp/c-util.lisp.pamphlet b/src/interp/c-util.lisp.pamphlet
index 6e2ca61..0e7396f 100644
--- a/src/interp/c-util.lisp.pamphlet
+++ b/src/interp/c-util.lisp.pamphlet
@@ -937,7 +937,7 @@
 ;        TERPRI()
 ;        SAY("Properties Of: ",first z)
 ;        for u in rest z repeat
-;          PRIN0 first u
+;          PRIN1 first u
 ;          printString ": "
 ;          PRETTYPRINT tran(rest u,first u) where
 ;            tran(val,prop) ==
@@ -993,7 +993,7 @@
                                            (SEQ
                                             (EXIT
                                              (PROGN
-                                               (PRIN0 (CAR |u|))
+                                               (PRIN1 (CAR |u|))
                                                (|printString| '|: |)
                                                (PRETTYPRINT
                                                 (|printEnv,tran|
@@ -1008,7 +1008,7 @@
 ;        TERPRI()
 ;        SAY("Properties Of: ",first z)
 ;        for u in rest z repeat
-;          PRIN0 first u
+;          PRIN1 first u
 ;          printString ": "
 ;          PRETTYPRINT tran(rest u,first u) where
 ;            tran(val,prop) ==
@@ -1069,7 +1069,7 @@
                                               (SEQ
                                                (EXIT
                                                 (PROGN
-                                                  (PRIN0 (CAR |u|))
+                                                  (PRIN1 (CAR |u|))
                                                   (|printString| '|: |)
                                                   (PRETTYPRINT
                                                    (|prEnv,tran|
@@ -1085,7 +1085,7 @@
 ;        (modemap:= LASSOC("modemap",rest z)) repeat
 ;          listOfOperatorsSeenSoFar:= [first z,:listOfOperatorsSeenSoFar]
 ;          TERPRI()
-;          PRIN0 first z
+;          PRIN1 first z
 ;          printString ": "
 ;          PRETTYPRINT modemap
 
@@ -1132,7 +1132,7 @@
                                                  (CONS (CAR |z|)
                                                   |listOfOperatorsSeenSoFar|))
                                                 (TERPRI)
-                                                (PRIN0 (CAR |z|))
+                                                (PRIN1 (CAR |z|))
                                                 (|printString| '|: |)
                                                 (PRETTYPRINT |modemap|)
                                                              )))))))))))))))))
@@ -1942,12 +1942,12 @@
   (PRINC (COND ((STRINGP |x|) |x|) ('T (PNAME |x|)))))
 
 ;
-;printAny x == if atom x then printString x else PRIN0 x
+;printAny x == if atom x then printString x else PRIN1 x
 
 ;;;     ***       |printAny| REDEFINED
 
 (DEFUN |printAny| (|x|)
-  (COND ((ATOM |x|) (|printString| |x|)) ('T (PRIN0 |x|))))
+  (COND ((ATOM |x|) (|printString| |x|)) ('T (PRIN1 |x|))))
 
 ;
 ;printSignature(before,op,[target,:argSigList]) ==
diff --git a/src/interp/i-output.lisp.pamphlet b/src/interp/i-output.lisp.pamphlet
index 9a4bc8b..d76f9b7 100644
--- a/src/interp/i-output.lisp.pamphlet
+++ b/src/interp/i-output.lisp.pamphlet
@@ -4718,7 +4718,7 @@ NIL
 ;  x='(Zero) => PRIN1(0,$algebraOutputStream)
 ;  IDENTP x => PRINC(PNAME x,$algebraOutputStream)
 ;  atom x => PRIN1(x,$algebraOutputStream)
-;  PRIN0(x,$algebraOutputStream)
+;  PRIN1(x,$algebraOutputStream)
 
 (DEFUN |printBasic| (|x|)
   (DECLARE (SPECIAL |$algebraOutputStream|))
@@ -4727,7 +4727,7 @@ NIL
     ((BOOT-EQUAL |x| '(|Zero|)) (PRIN1 0 |$algebraOutputStream|))
     ((IDENTP |x|) (PRINC (PNAME |x|) |$algebraOutputStream|))
     ((ATOM |x|) (PRIN1 |x| |$algebraOutputStream|))
-    ('T (PRIN0 |x| |$algebraOutputStream|))))
+    ('T (PRIN1 |x| |$algebraOutputStream|))))
 
 ;charybdis(u,start,linelength) ==
 ;  EQ(keyp u,'EQUATNUM) and ^(CDDR u) =>
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 4eeb0e1..99d07ba 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -1117,7 +1117,6 @@ and works properly.
 
 \begin{chunk}{*}
 (define-function 'stringimage #'princ-to-string)
-(define-function 'prin0  #'prin1)
 
 (defun |F,PRINT-ONE| (form &optional (stream *standard-output*))
  (declare (ignore stream))
@@ -4458,7 +4457,7 @@ terminals and empty or at-end files.  In Common Lisp, we must assume record size
  
 (DEFUN PRINMATHOR0 (X CURSTRM)
   (if |$mathTrace| (|maprinSpecial| (|outputTran| X) /DEPTH 80)
-      (PRIN0 X CURSTRM)))
+      (PRIN1 X CURSTRM)))
  
 (DEFUN SMALL-ENOUGH (X) (if /TRACESIZE (SMALL-ENOUGH-COUNT X 0 /TRACESIZE) t))
  
-- 
1.7.5.4

